Bug 974814 - (CVE-2013-2186) CVE-2013-2186 Apache commons-fileupload: Arbitrary file upload via deserialization
CVE-2013-2186 Apache commons-fileupload: Arbitrary file upload via deserializ...
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20131015,repo...
: Reopened, Security
Depends On: 989315 989316 989318 989319 989320 989321 989322 989323 989324 1007220 1011809 1055528
Blocks: 974815
  Show dependency treegraph
 
Reported: 2013-06-16 01:28 EDT by Arun Babu Neelicattu
Modified: 2018-02-06 14:20 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-21 14:03:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Arun Babu Neelicattu 2013-06-16 01:28:50 EDT
A poison null byte flaw was found in the implementation of the DiskFileItem class. A remote attacker able to supply a serialized instance of the DiskFileItem class, which will be deserialized on a server, could use this flaw to write arbitrary content to any location on the server that is permitted by the user running the application server process.
Comment 8 errata-xmlrpc 2013-10-15 14:23:49 EDT
This issue has been addressed in following products:

  JBEWS 1.0 for RHEL 5
  JBEWS 1.0 for RHEL 6

Via RHSA-2013:1428 https://rhn.redhat.com/errata/RHSA-2013-1428.html
Comment 9 errata-xmlrpc 2013-10-15 14:39:25 EDT
This issue has been addressed in following products:

  Red Hat JBoss BRMS 5.3.1
  Red Hat JBoss Portal 4.3 CP07, 5.2.2 and 6.0.0

Via RHSA-2013:1430 https://rhn.redhat.com/errata/RHSA-2013-1430.html
Comment 10 errata-xmlrpc 2013-10-15 14:40:31 EDT
This issue has been addressed in following products:

  Red Hat JBoss Web Server 1.0.2

Via RHSA-2013:1429 https://rhn.redhat.com/errata/RHSA-2013-1429.html
Comment 11 errata-xmlrpc 2013-10-17 13:19:14 EDT
This issue has been addressed in following products:

  Red Hat JBoss SOA Platform 4.3.0.GA_CP05
  Red Hat JBoss SOA Platform 5.3.1 GA

Via RHSA-2013:1442 https://rhn.redhat.com/errata/RHSA-2013-1442.html
Comment 12 errata-xmlrpc 2013-10-21 13:28:55 EDT
This issue has been addressed in following products:

  Red Hat JBoss Operations Network 3.1.2

Via RHSA-2013:1448 https://rhn.redhat.com/errata/RHSA-2013-1448.html
Comment 13 Kurt Seifried 2015-07-30 00:58:54 EDT
Please note that Satellite 5 is not affected by this vulnerability. defaultReadObject is not used in the code anywhere, and as such Satellite is not vulnerable.
Comment 15 errata-xmlrpc 2016-01-26 14:13:51 EST
This issue has been addressed in the following products:

  RHEL 7 Version of OpenShift Enterprise 3.1

Via RHSA-2016:0070 https://access.redhat.com/errata/RHSA-2016:0070

Note You need to log in before you can comment on or make changes to this bug.